Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx
Class JmxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.jmx.JmxException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidMetadataException, InvocationFailureException, MBeanConnectFailureException, MBeanExportException, MBeanInfoRetrievalException, MBeanServerNotFoundException, UnableToSendNotificationException

    public class JmxException

extends NestedRuntimeException

General base exception to be thrown on JMX errors. Unchecked since JMX failures are usually fatal.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`JmxException(java.lang.String msg)` Constructor for JmxException.
`JmxException(java.lang.String msg, java.lang.Throwable cause)` Constructor for JmxException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JmxException

    public JmxException(java.lang.String msg)

  Constructor for JmxException.

  Parameters:
    `msg` - the detail message

### JmxException

    public JmxException(java.lang.String msg,
                        java.lang.Throwable cause)

  Constructor for JmxException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause (usually a raw JMX API exception)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD